## 2.28日更新说明
设计开发使用手册管理模块
- 属性文件修改，用于指定视频上传的服务器路径
  ```properties
  # 手册视频上传路径
  files:
      upload:
          path: /Users/wangwulin/Desktop/
  #    path: C:/temp/FaceInfo/
  
  # 照片存放路径
  photo:
      tmp: C:/temp/Photo/
  ```
- Guide视频管理相关Class类
  ![28](./screenshots/2.28.png)

- pom.xml增加代码生成包依赖
  ```xml
  <!--mybatis-plus逆向工程-->
  <dependencies>  
    <dependency>
        <groupId>com.baomidou</groupId>
        <artifactId>mybatis-plus-generator</artifactId>
        <version>${mybatis-plus.version}</version>
    </dependency>
    <!--Velocity引擎模板-->
    <dependency>
        <groupId>org.apache.velocity</groupId>
        <artifactId>velocity</artifactId>
        <version>1.7</version>
    </dependency>
  </dependencies>
  ```
- Manual使用手册管理相关类
  查看提交历史可知

## 2.26日更新说明

完成了用户角色权限模块对开发，初步测试，现在正确登陆后，可以看到用户权限关联的菜单，
随后的API调用会自行带上token。

前端用户查询API可以自行使用 http://47.113.197.148:8888/doc.html 

![01](./screenshots/api.png)

> 登陆请使用员工控制类。

### 用户角色权限模块

增加了用户角色权限模块，具体增加了如下文件

![01](./screenshots/2.26-01.png)

![01](./screenshots/2.26-02.png)

- 绿色是新增文件，对现有代码没有任何影响
- pom.xml增加了如下依赖：
    ```xml
    <dependency>
        <groupId>cn.afterturn</groupId>
        <artifactId>easypoi-spring-boot-starter</artifactId>
        <version>4.4.0</version>
    </dependency>
    <!--jwt-->
    <dependency>
        <groupId>com.auth0</groupId>
        <artifactId>java-jwt</artifactId>
        <version>3.18.3</version>
    </dependency>
    ```
  
  <mybatis-plus.version>3.4.1</mybatis-plus.version>版本改为了
  <mybatis-plus.version>3.5.3.1</mybatis-plus.version>

- 修改了Result.java,为了与前端返回方式一致，用版本对比可以看到差异

- config目录下 新增了 MyApplicationRunner.java 用以每次重启后清除Redis缓存

- config目录下 新增了 MybatisRedisCache.java

### 用户角色权限模块相关数据库表也做了整理
