package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class VehicleDates {
    @ApiModelProperty(value = "品牌编号")
    private String brandCode;

    @ApiModelProperty(value = "品牌名称")
    private String brandName;

    @ApiModelProperty(value = "品牌英文名称")
    private String brandNameEn;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "版本描述")
    private String description;

    @ApiModelProperty(value = "首字母")
    private String sortLetter;

    @ApiModelProperty(value = "0:测试版 1:发布版")
    private Integer lifecycle;

    @ApiModelProperty(value = "功能名")
    private String functionName;

    @ApiModelProperty(value = "文件MD5")
    private String md5;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "0：强制更新  1：不强制")
    private Integer isUpdate;
}
