package com.om.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.om.entity.po.Apps;
import com.om.mapper.AppsMapper;
import com.om.service.IAppsService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 软件应用表 服务实现类
 * </p>
 *
 * @author henry-ong
 * @since 2024-03-12
 */
@Service
public class AppsServiceImpl extends ServiceImpl<AppsMapper, Apps> implements IAppsService {
    private final AppsMapper appsMapper;

    public AppsServiceImpl(AppsMapper appsMapper) {
        this.appsMapper = appsMapper;
    }

    @Override
    public Page<Apps> findApps(Page<Apps> objectPage, String code, String title) {
        return appsMapper.findApps(objectPage, code, title);
    }
}
