package com.om.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
public class DiaLogQueryPageVO {

    @ApiModelProperty(value = "当前页码")
    private Integer current;

    @ApiModelProperty(value = "总页码")
    private Integer pages;

    @ApiModelProperty(value = "每个页码的大小")
    private Integer size;

    @ApiModelProperty(value = "总数量")
    private Integer total;

    @ApiModelProperty(value = "是否是查询")
    private Boolean searchCount = false;

    @ApiModelProperty(value = "结果集")
    private List<DiaLogQueryVO> records;

}
